from SellerShipperServiceInterfaceModule import ShipperInterface
from BuyerServiceInterfaceModule import BuyerShipperInterface

include "console.iol"

service ShipperService {
    execution { concurrent }


	outputPort Buyer {
		location: "socket://localhost:9003"
		protocol: http { format = "json" }
		interfaces: BuyerShipperInterface
	}

    inputPort SellerShipper {
        Location: "socket://localhost:9006"
        Protocol: http { format = "json" }
        Interfaces: ShipperInterface
    }

    main {
        [order(product)] {
            println@Console( "Order placed" )()
            details@Buyer("Invoice for '" + product + "'")
        }
    }
}
